Adjustable (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Interface Adjustable

All Known Implementing Classes:
  JScrollBar, Scrollbar, ScrollPaneAdjustable

public interface Adjustable

The interface for objects which have an adjustable numeric value contained within a bounded range of values.

Field Summary
`static int` | `HORIZONTAL` Indicates that the `Adjustable` has horizontal orientation.
`static int` | `NO_ORIENTATION` Indicates that the `Adjustable` has no orientation.
`static int` | `VERTICAL` Indicates that the `Adjustable` has vertical orientation.

Method Summary
`void` | `addAdjustmentListener(AdjustmentListener l)` Adds a listener to receive adjustment events when the value of the adjustable object changes.
`int` | `getBlockIncrement()` Gets the block value increment for the adjustable object.
`int` | `getMaximum()` Gets the maximum value of the adjustable object.
`int` | `getMinimum()` Gets the minimum value of the adjustable object.
`int` | `getOrientation()` Gets the orientation of the adjustable object.
`int` | `getUnitIncrement()` Gets the unit value increment for the adjustable object.
`int` | `getValue()` Gets the current value of the adjustable object.
`int` | `getVisibleAmount()` Gets the length of the proportional indicator.
`void` | `removeAdjustmentListener(AdjustmentListener l)` Removes an adjustment listener.
`void` | `setBlockIncrement(int b)` Sets the block value increment for the adjustable object.
`void` | `setMaximum(int max)` Sets the maximum value of the adjustable object.
`void` | `setMinimum(int min)` Sets the minimum value of the adjustable object.
`void` | `setUnitIncrement(int u)` Sets the unit value increment for the adjustable object.
`void` | `setValue(int v)` Sets the current value of the adjustable object.
`void` | `setVisibleAmount(int v)` Sets the length of the proportional indicator of the adjustable object.

Field Detail

### HORIZONTAL

    public static final int HORIZONTAL

  Indicates that the `Adjustable` has horizontal orientation.

  See Also:
    Constant Field Values

### VERTICAL

    public static final int VERTICAL

  Indicates that the `Adjustable` has vertical orientation.

  See Also:
    Constant Field Values

### NO_ORIENTATION

    public static final int NO_ORIENTATION

  Indicates that the `Adjustable` has no orientation.

  See Also:
    Constant Field Values

Method Detail

### getOrientation

    public int getOrientation()

  Gets the orientation of the adjustable object.

  Returns:
    the orientation of the adjustable object; either `HORIZONTAL`, `VERTICAL`, or `NO_ORIENTATION`

### setMinimum

    public void setMinimum(int min)

  Sets the minimum value of the adjustable object.

  Parameters:
    `min` - the minimum value

### getMinimum

    public int getMinimum()

  Gets the minimum value of the adjustable object.

  Returns:
    the minimum value of the adjustable object

### setMaximum

    public void setMaximum(int max)

  Sets the maximum value of the adjustable object.

  Parameters:
    `max` - the maximum value

### getMaximum

    public int getMaximum()

  Gets the maximum value of the adjustable object.

  Returns:
    the maximum value of the adjustable object

### setUnitIncrement

    public void setUnitIncrement(int u)

  Sets the unit value increment for the adjustable object.

  Parameters:
    `u` - the unit increment

### getUnitIncrement

    public int getUnitIncrement()

  Gets the unit value increment for the adjustable object.

  Returns:
    the unit value increment for the adjustable object

### setBlockIncrement

    public void setBlockIncrement(int b)

  Sets the block value increment for the adjustable object.

  Parameters:
    `b` - the block increment

### getBlockIncrement

    public int getBlockIncrement()

  Gets the block value increment for the adjustable object.

  Returns:
    the block value increment for the adjustable object

### setVisibleAmount

    public void setVisibleAmount(int v)

  Sets the length of the proportional indicator of the adjustable object.

  Parameters:
    `v` - the length of the indicator

### getVisibleAmount

    public int getVisibleAmount()

  Gets the length of the proportional indicator.

  Returns:
    the length of the proportional indicator

### setValue

    public void setValue(int v)

  Sets the current value of the adjustable object. This value must be within the range defined by the minimum and maximum values for this object.

  Parameters:
    `v` - the current value

### getValue

    public int getValue()

  Gets the current value of the adjustable object.

  Returns:
    the current value of the adjustable object

### addAdjustmentListener

    public void addAdjustmentListener(AdjustmentListener l)

  Adds a listener to receive adjustment events when the value of the adjustable object changes.

  Parameters:
    `l` - the listener to receive events
  See Also:
    `AdjustmentEvent`

### removeAdjustmentListener

    public void removeAdjustmentListener(AdjustmentListener l)

  Removes an adjustment listener.

  Parameters:
    `l` - the listener being removed
  See Also:
    `AdjustmentEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.